Bug 486815 - network not coming after boot without network manager
network not coming after boot without network manager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 516996
  Show dependency treegraph
 
Reported: 2009-02-22 05:10 EST by Noam
Modified: 2009-12-18 03:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:00:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Noam 2009-02-22 05:10:08 EST
Description of problem:
network not coming up after boot

Version-Release number of selected component (if applicable):
1.5.95

How reproducible:
after runing:
system-config-network-cmd --profile common --activate

the interface is not comiong up. activating from the gui app works



Actual results:
# system-config-network-cmd --profile common --activate
Activating network device eth0, please wait...
An unhandled exception has occured.  This is most likely a bug.
Please file a detailed bug report against the component system-config-network at 
https://bugzilla.redhat.com/bugzilla
using the text below.
Component: system-config-network
Version: 1.5.95
Summary: TB /usr/share/system-config-network/netconfpkg/NC_functions.py:581:generic_run_dialog:AttributeError: 'list' object has no attribute 'join'
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-cmd", line 378, in main
    (ret, msg) = device.activate()
  File "/usr/share/system-config-network/netconfpkg/NCDevice.py", line 516, in activate
    dialog = dialog )
  File "/usr/share/system-config-network/netconfpkg/NC_functions.py", line 581, in generic_run_dialog
    log.log(1, "Running %s %s" % (command, argv.join()))
AttributeError: 'list' object has no attribute 'join'

Local variables in innermost frame:
searchPath: 0
errlabel: Cannot activate network device eth0!

title: Network device activating...
stdin: 0
argv: ['/sbin/ifup', 'eth0', 'up']
label: Activating network device eth0, please wait...
catchfd: (1, 2)
command: /sbin/ifup
closefd: -1
dialog: None
root: /
select: <module 'select' from '/usr/lib/python2.5/lib-dynload/selectmodule.so'>


Expected results:


Additional info:
Comment 1 bruce 2009-05-18 19:30:14 EDT
Because NetworkManager also clears the DNS settings on boot (reported in another bug), but the interface(s) don't come up after boot without being controlled by NetworkManager, there is no way to configure a Fedora 10 system to be rebooted successfully without intelligent manual intervention to reconfigure the network immediately after booting.  This is a show-stopper for us, since the system cannot automatically recover from power failures or be restarted remotely during maintenance.  This is especially troublesome if multiple systems are involved.
Comment 2 bruce 2009-05-18 19:41:04 EDT
Please change the priority to high.  I would say urgent, but time has run out already, it's too late, and I don't have enough time to fix it myself before the deadline.
Comment 3 bruce 2009-05-18 23:47:08 EDT
I saw from another post that "yum remove NetworkManager" then using system-config-services to enable the "network" service fixes these problems.
Comment 4 Bug Zapper 2009-11-18 06:11:40 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 03:00:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.